package org.university.core;

import java.util.ArrayList;

public abstract class AbstractEmployee extends Person{
	ArrayList<Statement> bankStatements;
	String position;
	double basicIncome , currentIncome;

	public AbstractEmployee(String firstName, String lastName, String position , String ID ,double basicIncome , int joiningYear , Department department) {
		super(firstName,lastName,ID,joiningYear,department);
		this.position = position;
		this.basicIncome = basicIncome;
		bankStatements = new ArrayList<>();
	}

	public String getPosition() {
		return position;
	}

	public void addBankStatement(Statement s) {
		bankStatements.add(s);
	}

	public ArrayList getBankStatement() {
		return bankStatements;
	}

	public void setCurrentIncome(double currentIncome){
		this.currentIncome = currentIncome;
	}
	
	public abstract double calCurrentIncome();



}
